LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.UI.ActorUI

Description

UI aspects of actors.

Synopsis

- data ActorUI = ActorUI {
  - bsymbol :: Char
  - bname :: Text
  - bpronoun :: Text
  - bcolor :: Color
  }
- type ActorDictUI = EnumMap ActorId ActorUI
- keySelected :: (ActorId, Actor, ActorUI) -> (Bool, Bool, Bool, Char, Color, ActorId)
- partActor :: ActorUI -> Part
- partPronoun :: ActorUI -> Part
- tryFindActor :: State -> (ActorId -> Actor -> Bool) -> Maybe (ActorId, Actor)
- tryFindHeroK :: ActorDictUI -> FactionId -> Int -> State -> Maybe (ActorId, Actor)

# Documentation

data ActorUI Source #

Constructors

ActorUI |

Fields

- bsymbol :: Char

  individual map symbol

- bname :: Text

  individual name

- bpronoun :: Text

  individual pronoun

- bcolor :: Color

  individual map color

#### Instances

Instances details

Binary ActorUI Source # |
Instance details Defined in Game.LambdaHack.Client.UI.ActorUI Methods put :: ActorUI -> Put Source # get :: Get ActorUI Source # putList :: [ActorUI] -> Put Source #
Generic ActorUI Source # |

Instance details

Defined in Game.LambdaHack.Client.UI.ActorUI

Associated Types

type Rep ActorUI |

Instance details

Defined in Game.LambdaHack.Client.UI.ActorUI

type Rep ActorUI = D1 ('MetaData "ActorUI" "Game.LambdaHack.Client.UI.ActorUI" "LambdaHack-0.11.0.1-BLuOaw8nuizISmzkanqI8h" 'False) (C1 ('MetaCons "ActorUI" 'PrefixI 'True) ((S1 ('MetaSel ('Just "bsymbol") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Char) :*: S1 ('MetaSel ('Just "bname") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Text)) :*: (S1 ('MetaSel ('Just "bpronoun") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Text) :*: S1 ('MetaSel ('Just "bcolor") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Color))))

Methods

from :: ActorUI -> Rep ActorUI x Source #

to :: Rep ActorUI x -> ActorUI Source #

Show ActorUI Source # |
Instance details Defined in Game.LambdaHack.Client.UI.ActorUI Methods showsPrec :: Int -> ActorUI -> ShowS Source # show :: ActorUI -> String Source # showList :: [ActorUI] -> ShowS Source #
Eq ActorUI Source # |
Instance details Defined in Game.LambdaHack.Client.UI.ActorUI Methods (==) :: ActorUI -> ActorUI -> Bool Source # (/=) :: ActorUI -> ActorUI -> Bool Source #
type Rep ActorUI Source # |

Instance details

Defined in Game.LambdaHack.Client.UI.ActorUI

type Rep ActorUI = D1 ('MetaData "ActorUI" "Game.LambdaHack.Client.UI.ActorUI" "LambdaHack-0.11.0.1-BLuOaw8nuizISmzkanqI8h" 'False) (C1 ('MetaCons "ActorUI" 'PrefixI 'True) ((S1 ('MetaSel ('Just "bsymbol") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Char) :*: S1 ('MetaSel ('Just "bname") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Text)) :*: (S1 ('MetaSel ('Just "bpronoun") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Text) :*: S1 ('MetaSel ('Just "bcolor") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedStrict) (Rec0 Color))))

type ActorDictUI = EnumMap ActorId ActorUI Source #

keySelected :: (ActorId, Actor, ActorUI) -> (Bool, Bool, Bool, Char, Color, ActorId) Source #

partActor :: ActorUI -> Part Source #

The part of speech describing the actor.

partPronoun :: ActorUI -> Part Source #

The part of speech containing the actor's pronoun.

tryFindActor :: State -> (ActorId -> Actor -> Bool) -> Maybe (ActorId, Actor) Source #

tryFindHeroK :: ActorDictUI -> FactionId -> Int -> State -> Maybe (ActorId, Actor) Source #